local remap     = vim.keymap.set
local opts      = { noremap=true, silent=true, unique=true }

require'marks'.setup {
  cyclic           = true,
  default_mappings = true,
  builtin_marks    = {},
}

remap('n', '<Leader>mt', ':MarksToggleSigns<CR>', opts)
remap('n', '<Leader>mb', ':MarksListBuf<CR>'    , opts)
remap('n', '<Leader>mg', ':MarksListGlobal<CR>' , opts)
remap('n', '<Leader>ma', ':MarksListAll<CR>'    , opts)
remap('n', '<Leader>mB', ':BookmarksListAll<CR>', opts)
